1. angelluc
  2. Linux/Unix
  3. vrijdag 08 december 2017
Goedendag,

Ik hoop dat ik hier met mijn vraag terecht kan. Probeer het in ieder geval.
Ik heb een VPS met Linux 16.04LT erop geïnstalleerd en via iTerm terminal pas ik allerlei dingen aan.
Ben daar nog niet heel bedreven in maar ja aldoende leert men :)
Uit veiligheidsoverwegingen heb ik een nieuwe user aangemaakt met root rechten en de root verwijderd.
Nu wordt er bij Ubuntu automatisch Perl geïnstalleerd, dit komt in de /etc directory en is in dit geval versie 5.22.
Inmiddels is er Perl 6 en ik besloot dit te installeren via de root rechten van de nieuwe gebruiker.
Aangezien je ook echt dan root@.... krijgt, dacht ik dat Perl 6 op hetzelfde nivo zou worden geïnstalleerd, maar dat blijkt in de home directory van de nieuwe user gedaan te worden, een hele andere plaats dus.
Als ik met het command perl -v kijk dan wordt nog steeds versie 5.22 aangegeven.
Dus ik vraag mij af als of de software die ik wil installeren en Perl nodig heeft, die 5 of ook die 6 gaat vinden?

Als iemand mij daar feedback over kan geven, heel graag!

Hartelijke groet,
Luc
Reacties (1)
Geaccepteerd antwoord In Afwachting Moderatie
Dag Luc,

Via wat voor pakket heb je Perl 6 geinstalleerd? En wat heb je precies gedaan om het geinstalleerd te krijgen? Ik vraag dit omdat een standaard deb pakket zijn inhoud gewoonlijk in /usr of /usr/local installeert, en niet in de home directory van de gebruiker.

Vriendelijke groet,
Hans
  1. meer dan een maand geleden
  2. Linux/Unix
  3. # 1
  • Pagina :
  • 1


Er zijn nog geen reacties op dit bericht.
Reageer als een van de eersten op dit bericht!
Nog geen HCC-gebruikersaccount aangemaakt? Klik dan hier.

Inloggen